# Class CIM_NamedCredential
extends CIM_Credential

CIM_NamedCredential indirectly represents a shared secret credential. The local identity, IKEIdentity, and the remote peer identity share the secret that is named by the SharedSecretName. The SharedSecretName is used by the SharedSecretService to reference the secret.

### Table of Contents
Hierarchy
Direct Known Subclasses
Class Qualifiers
Class Properties
Class Methods

## Class Hierarchy

CIM_ManagedElement
|
+--CIM_Credential
|
+--CIM_NamedCredential

## Direct Known Subclasses

## Class Qualifiers

Name | Data Type | Value
--- | --- | ---
Description | string | CIM_NamedCredential indirectly represents a shared secret credential. The local identity, IKEIdentity, and the remote peer identity share the secret that is named by the SharedSecretName. The SharedSecretName is used by the SharedSecretService to reference the secret.
UMLPackagePath | string | CIM::User::SharedSecret
Version | string | 2.31.1

## Class Properties

### Local Class Properties

Name | Data Type | Default Value | Qualifiers
--- | --- | --- | ---
Name | Data Type | Value
InstanceID | string |

Description

string

Within the scope of the instantiating Namespace, InstanceID opaquely and uniquely identifies an instance of this class. In order to ensure uniqueness within the NameSpace, the value of InstanceID SHOULD be constructed using the following 'preferred' algorithm: <OrgID>:<LocalID> Where <OrgID> and <LocalID> are separated by a colon ':', and where <OrgID> MUST include a copyrighted, trademarked or otherwise unique name that is owned by the business entity creating/defining the InstanceID, or is a registered ID that is assigned to the business entity by a recognized global authority. (This is similar to the <Schema Name>_<Class Name> structure of Schema class names.) In addition, to ensure uniqueness, <OrgID> MUST NOT contain a colon (':'). When using this algorithm, the first colon to appear in InstanceID MUST appear between <OrgID> and <LocalID>. <LocalID> is chosen by the organizational entity and SHOULD not be re-used to identify different underlying (real-world) elements. If the above 'preferred' algorithm is not used, the defining entity MUST assure that the resultant InstanceID is not re-used across any InstanceIDs produced by this or other providers for this instance's NameSpace. For DMTF defined instances, the 'preferred' algorithm MUST be used with the <OrgID> set to 'CIM'.

Key | boolean | true
Override | string | InstanceID
LocalIdentity | string |
Description | string | The local Identity with whom the direct trust relationship exists.
MaxLen | uint32 | 256
ModelCorrespondence | string | CIM_NamedCredential.LocalIdentityType
LocalIdentityType | uint16 |
Description | string | LocalIdentityType is used to describe the type of the LocalIdentity.
ModelCorrespondence | string | CIM_NamedCredential.LocalIdentity
ValueMap | string | 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11
Values | string | IPV4_ADDR, FQDN, USER_FQDN, IPV4_ADDR_SUBNET, IPV6_ADDR, IPV6_ADDR_SUBNET, IPV4_ADDR_RANGE, IPV6_ADDR_RANGE, DER_ASN1_DN, DER_ASN1_GN, KEY_ID
PeerIdentity | string |
Description | string | The peer identity with whom the direct trust relationship exists.
MaxLen | uint32 | 256
ModelCorrespondence | string | CIM_NamedCredential.PeerIdentityType
PeerIdentityType | uint16 |
Description | string | PeerIdentityType is used to describe the type of the PeerIdentity.
ModelCorrespondence | string | CIM_NamedCredential.PeerIdentity
ValueMap | string | 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11
Values | string | IPV4_ADDR, FQDN, USER_FQDN, IPV4_ADDR_SUBNET, IPV6_ADDR, IPV6_ADDR_SUBNET, IPV4_ADDR_RANGE, IPV6_ADDR_RANGE, DER_ASN1_DN, DER_ASN1_GN, KEY_ID
SharedSecretName | string |
Description | string | SharedSecretName is an indirect reference to a shared secret. The SecretService does not expose the actual secret but rather provides access to the secret via a name.

### Inherited Properties

Name | Data Type | Class Origin
--- | --- | ---
Caption | string | CIM_ManagedElement
Description | string | CIM_ManagedElement
ElementName | string | CIM_ManagedElement
Expires | datetime | CIM_Credential
Issued | datetime | CIM_Credential

## Class Methods